Locations
    • Locations Specification
    • Schema
    • Find a location
      GET
    • Get auto suggest values
      GET
    • Lookup a postcode
      GET
    • Lookup a known location
      GET
    • Create a batch job
      POST
    • Gets the status of a batch job
      GET
    • Gets the parsed results for a job
      GET
    • Gets a location from lat, long.
      GET
    • Schemas
      • Schemas
        • Location
        • Point
        • Postcode
        • Job

      Get auto suggest values

      GET
      /suggest
      Auto suggest is an attempt at suggesting place names, there requests will not pass to our provide and instead will perform a lookup directly on our elastic search instance. We should return the results form elastic verbatim. The endpoint for this search will be /suggest?q=
      An option value of &country=<string> should be passable, when given it should use a filter on the elastic search index to limit results to the given country.

      Request

      Query Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://mock.apidog.com/m1/460771-0-default/suggest?q=undefined'

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      Example
      [
          {
              "hash": "19686d84-b10d-4f90-b18e-84fd3fa038fd",
              "name": "string",
              "display_name": "string",
              "address": {},
              "centroid": {
                  "long": 0,
                  "lat": 0
              },
              "bounding_box": [
                  {
                      "long": 0,
                      "lat": 0
                  }
              ],
              "type": "place",
              "meta": {
                  "key": "string"
              }
          }
      ]
      🟠406Not Acceptable
      Modified at 2024-02-12 13:17:59
      Previous
      Find a location
      Next
      Lookup a postcode
      Built with